Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1266152 - [RFE] OSP-d infra provider nodes multiple networks support
Summary: [RFE] OSP-d infra provider nodes multiple networks support
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.4.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Ladislav Smola
QA Contact: Ido Ovadia
URL:
Whiteboard: openstack:infra:network
Depends On:
Blocks: 1272548 1291813 1386798
TreeView+ depends on / blocked
 
Reported: 2015-09-24 15:34 UTC by Marius Cornea
Modified: 2017-06-12 16:04 UTC (History)
9 users (show)

Fixed In Version: 5.8.0.0
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1272548 1291813 1386798 (view as bug list)
Environment:
Last Closed: 2017-06-12 16:04:56 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Marius Cornea 2015-09-24 15:34:38 UTC
Description of problem:

OSP-d deployments usually use multiple networks(internal_api, storage, external, etc) and we should be able to show these associated to the nodes. Currently the nodes only show the ip address from the clplane network. We can get the networks and ports from the undercloud neutron and  correlate them with the data passed in the network environment files from Heat.

Comment 2 Greg Blomquist 2015-10-12 18:21:53 UTC
Changing this to an RFE

Comment 3 Ladislav Smola 2015-10-13 12:22:47 UTC
Fixed by getting the connection using Smart state analysis of the nodes
https://github.com/ManageIQ/manageiq/pull/4829

Comment 5 CFME Bot 2016-10-18 17:06:19 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/592b3bd069b7e4c8b5c176cb5606d4e76ee2c77a

commit 592b3bd069b7e4c8b5c176cb5606d4e76ee2c77a
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Tue Oct 13 14:16:24 2015 +0200
Commit:     Marek Aufart <maufart@redhat.com>
CommitDate: Tue Oct 18 16:08:23 2016 +0200

    Host smartstate analysis for network interfaces
    
    SSA for network interfaces of host, using ssh adapter and 'ip a'
    command for retrieving all interfaces.
    
    BZ RFE
    https://bugzilla.redhat.com/show_bug.cgi?id=1266152

 app/models/ems_refresh/save_inventory_networks.rb  | 195 +++++++++++++
 app/models/host.rb                                 |  51 ++++
 .../openstack/infra_manager/cloud_network.rb       |   6 +
 .../providers/openstack/infra_manager/host.rb      |   3 +
 .../openstack/infra_manager/network_port.rb        |   3 +
 .../openstack/refresh_parser_common/networks.rb    | 313 +++++++++++++++++++++
 app/models/mixins/has_many_cloud_networks_mixin.rb |  12 +
 gems/pending/metadata/linux/LinuxUtils.rb          |  35 +++
 8 files changed, 618 insertions(+)
 create mode 100644 app/models/ems_refresh/save_inventory_networks.rb
 create mode 100644 app/models/manageiq/providers/openstack/infra_manager/cloud_network.rb
 create mode 100644 app/models/manageiq/providers/openstack/infra_manager/network_port.rb
 create mode 100644 app/models/manageiq/providers/openstack/refresh_parser_common/networks.rb
 create mode 100644 app/models/mixins/has_many_cloud_networks_mixin.rb

Comment 6 CFME Bot 2016-10-19 04:07:34 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/59049bda942347a5d9503d6e10ca496ccb6a66f7

commit 59049bda942347a5d9503d6e10ca496ccb6a66f7
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Tue Oct 18 13:05:03 2016 -0400
Commit:     Oleg Barenboim <chessbyte@gmail.com>
CommitDate: Tue Oct 18 23:01:09 2016 -0500

    Merge pull request #11743 from aufi/openstack_infra_get_missing_network_ports_from_smartstate
    
    Openstack infra get missing network ports from smartstate
    (cherry picked from commit ce11796c6c8730a4c2992f6e5c48745416b89589)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1266152

 app/models/ems_refresh/save_inventory_network.rb   |   5 +-
 app/models/host.rb                                 |   6 +
 .../providers/openstack/infra_manager/host.rb      |  48 +++-
 app/models/mixins/supports_feature_mixin.rb        |   1 +
 gems/pending/metadata/linux/LinuxUtils.rb          |  35 +++
 spec/models/host_spec.rb                           |   7 +
 .../host_smart_state_analysis_spec.rb              | 249 +++++++++++++++++++++
 .../providers/openstack/infra_manager/host_spec.rb |  10 +
 8 files changed, 357 insertions(+), 4 deletions(-)
 create mode 100644 spec/models/manageiq/providers/openstack/infra_manager/host_smart_state_analysis_spec.rb

Comment 9 CFME Bot 2016-10-20 18:31:31 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/de3891a85a8c8ac79201ab1b708cdee10e15f241

commit de3891a85a8c8ac79201ab1b708cdee10e15f241
Author:     Marek Aufart <maufart@redhat.com>
AuthorDate: Thu Oct 20 15:42:04 2016 +0200
Commit:     Marek Aufart <maufart@redhat.com>
CommitDate: Thu Oct 20 15:42:04 2016 +0200

    Add link to Host to Network Port details page
    
    Adding basic UI for Openstack infra get missing network ports from
    smartstate PR https://github.com/ManageIQ/manageiq/pull/11743
    
    Related to:
    https://bugzilla.redhat.com/show_bug.cgi?id=1266152

 app/helpers/network_port_helper/textual_summary.rb | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

Comment 10 Ido Ovadia 2017-05-16 18:11:46 UTC
Verified
========
5.8.0.14-rc3


Note You need to log in before you can comment on or make changes to this bug.